Subject: Re: bug#11026: 23.3; call-process-region deletes unicode chars

From: Sean McLaughlin <[email-masked]>
Date: Fri, 16 Mar 2012 15:03:30 -0400

I apologize.  I thought it was a bug because when I write the buffer
to a file and use call-process it works.

Thank you for your time.  I'll try to close the bug.

Sean

On Fri, Mar 16, 2012 at 2:57 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Sean McLaughlin <[email-masked]>
>> Date: Fri, 16 Mar 2012 12:07:55 -0400
>>
>> Create a buffer called 'bug' with multi-byte chars.  For example, with
>> the contents
>>
>> Alpha = α
>>
>> Run (call-process-region (point-min) (point-max) "cat" t t) in that
>> buffer.  It deletes the non-ascii unicode chars and leaves everything
>> else intact.
>
> This is not a bug, but a cockpit error.
>
> You need to bind coding-process-for-write to something sensible, like
> utf-8.  Otherwise, `cat' will get unpredictable sequence of bytes
> instead of the Unicode character, and will respond with another
> unpredictable sequence.
>
> I think this bug report should be closed.